<?
define("NOT_CHECK_FILE_PERMISSIONS", true);
require($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/main/include/prolog_before.php");
header("Content-Type: application/x-javascript");
CModule::IncludeModule("mobileapp");

function xml_to_array($root) {
	$result = array();

	if ($root->hasAttributes()) {
		$attrs = $root->attributes;
		foreach ($attrs as $attr) {
			$result['@attributes'][$attr->name] = $attr->value;
		}
	}

	if ($root->hasChildNodes()) {
		$children = $root->childNodes;
		if ($children->length == 1) {
			$child = $children->item(0);
			if ($child->nodeType == XML_TEXT_NODE) {
				$result['_value'] = $child->nodeValue;
				return count($result) == 1
					? $result['_value']
					: $result;
			}
		}
		$groups = array();
		foreach ($children as $child) {
			if (!isset($result[$child->nodeName])) {
				$result[$child->nodeName] = xml_to_array($child);
			} else {
				if (!isset($groups[$child->nodeName])) {
					$result[$child->nodeName] = array($result[$child->nodeName]);
					$groups[$child->nodeName] = 1;
				}
				$result[$child->nodeName][] = xml_to_array($child);
			}
		}
	}

	return $result;
}

$newsType = $_REQUEST["newsType"];
$newslist = array();
$rssNews = array(
	"movie"=>"http://st.kp.yandex.net/rss/news.rss",
	"culture"=>"https://news.yandex.ru/culture.rss",
	"sport"=>"http://www.sovsport.ru/sport_rss/334",
	"internet"=>"https://news.yandex.ru/internet.rss",
	"science"=>"https://news.yandex.ru/science.rss",
	"nasa"=>"http://apod.nasa.gov/apod.rss",
);

if(array_key_exists($newsType, $rssNews))
{
	$client = new \Bitrix\Main\Web\HttpClient();
	$client->setTimeout(4);
	$client->get($rssNews[$newsType]);
	$xml = new DOMDocument();
	$rssContent = $client->getResult();
	$xml->loadXML($rssContent);
	$itemsNodes = $xml->getElementsByTagName("item");
	$itemsCount = $itemsNodes->length;
	$newslist = array();
	for($i=0;$i<$itemsCount;$i++)
	{
		$item = xml_to_array($itemsNodes->item($i));
		unset($item["#text"]);
		$newslist[] = $item;
	}

}


echo json_encode($newslist);
die();

